(TeX-add-style-hook
 "eprover"
 (lambda ()
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "url")
   (TeX-run-style-hooks
    "latex2e"
    "report"
    "rep10"
    "makeidx"
    "estyle"
    "supertabular"
    "url"
    "graphicx")
   (TeX-add-symbols
    '("etalchar" 1))
   (LaTeX-add-labels
    "sec:intro"
    "sec:start"
    "sec:calculus"
    "def:basics:inferences:selection"
    "def:basics:inferences:eligible"
    "def:basics:inferences:sp"
    ":secsine"
    "sec:cnf"
    "sec:eqdef"
    "sec:presat"
    "sec:procedure"
    "fig:procedure"
    "sec:cdcl"
    "sec:options"
    "sec:options:heuristics"
    "sec:options:orderings"
    "sec:options:litcmp"
    "sec:options:strategies"
    "sec:cdclopt"
    "sec:options:watchlist"
    "sec:options:learning"
    "sec:options:others"
    "sec:language"
    "sec:output"
    "sec:output:essentials"
    "sec:output:normal"
    "sec:output:lots"
    "fig:answers"
    "sec:output:results"
    "tab:opts"
    "sec:bsf"
    "fig:ltbspec"
    "sec:iq"
    "fig:lbtsession"
    "fig:axfilter")
   (LaTeX-add-bibitems
    "Bachmair:personal-98"
    "BBCW:IJCAR-2018"
    "BDP89"
    "BG94"
    "Biere:JSBC-2008"
    "CL73"
    "Dershowitz:IJCAI-91"
    "DKS97"
    "DS94a"
    "DS94b"
    "DS96a"
    "ES:SAT-2004"
    "BHF96"
    "HJL:CADE-99"
    "HV:CADE-2011"
    "KMV:CADE-2011"
    "KV:CAV-2013"
    "LW:LPAR-2007"
    "Mc94"
    "MILSGSM:JAR-97"
    "MMZZM:DAC-2001"
    "MW:JAR-97"
    "NN:RTA-93"
    "NW:SmallCNF-2001"
    "RV:IJCAR-2001"
    "RV:AICOM-2002"
    "Schulz:Diss-2000"
    "Schulz:KI-2001"
    "Schulz:FLAIRS-2002"
    "Schulz:AICOM-2002"
    "Schulz:LPAR-2013"
    "E:WWW-04"
    "Schulz:Vampire-2018"
    "SCV:CADE-2019"
    "SS:CADE-2002"
    "SSCB:LPAR-2012"
    "SSCG:IJCAR-2006"
    "SSSU:TPTP-ANS"
    "Sutcliffe:TPTP-WWW"
    "Tammet:JAR-97"
    "VBCS:LFHOReport-2018"
    "VBCS:TACAS-2019"
    "WABCEKTT:CADE-99"
    "Weidenbach:personal-99"
    "Weidenbach:SPASS-2001"
    "WGR96")
   (LaTeX-add-index-entries
    "SETHEO"
    "Otter"
    "SPASS"
    "Vampire"
    "xyzzy"
    "sort"
    "variable"
    "type"
    "term"
    "subterm"
    "equation"
    "literal"
    "ordering"
    "reduction ordering"
    "substitution"
    "mgu"
    "most general unifier"
    "selection functions"
    "literal!eligible"
    "eligible for paramodulation|see{literal, eligible}"
    "eligible for resolution|see{literal, eligible}"
    "eligible literals|see{literal, eligible}"
    "SP@\\textbf{SP} (calculus)"
    "equality resolution"
    "superposition!inference rule"
    "simultaneous superposition"
    "equality factoring"
    "rewriting"
    "E (theorem prover)"
    "subsumption"
    "simplify-reflect"
    "tautology deletion"
    "equality
     resolution"
    "contextual literal
     cutting"
    "condensing"
    "clause
       splitting"
    "clause splitting"
    "DISCOUNT"
    "relevancy pruning"
    "SInE"
    "TPTP"
    "clausification"
    "TPTP!language"
    "equational definition"
    "interreduction"
    "proof procedure"
    "given clause"
    "term
  ordering"
    "literal!selection"
    "propositional
  reasoning"
    "PicoSAT"
    "term ordering"
    "clause evaluation"
    "literal!comparison"
    "LOP"
    "PCL"
    "answer"
    "question"
    "common options"
    "eground|texttt"
    "enormalizer|texttt"
    "e\\_ltb\\_runner|texttt"
    "batch processing"
    "batch specifications"
    "interactive queries"
    "e\\_axfilter|texttt"
    "Acknowledgements"
    "License"
    "GPL"
    "GNU General Public
    License"
    "LGPL"
    "GNU Lesser General Public License"))
 :latex)

