#!/opt/local/bin/gawk -f

# Grep heuristics out of C files, normalise them, and pring them.
#


function cleanup(str)
{
   gsub(/ /, "", str)
   gsub(/["]/, "", str)
   gsub(/\\n/, "", str)
   gsub(/[*]/, ".", str)

   return str
}

BEGIN{
  if(!ARGV[1])
    {
      printf "Usage: heugrep.awk [<file>]" > stderr;
      exit 1;
    }
  entry = "";
  found = 0;
}

match($0, /^["][A-Z][^ ]*/){
   name = substr($0, RSTART+1, RLENGTH-1)
   #print "Hi!"
}

/^["][(].*/{
   entry = $0
   # print "Hi!" entry
}


/))\\n["]/{
   if(entry != $0)
   {
      entry = entry $0
   }
   print "\"" name "\": \"" cleanup(entry) "\","
   entry = ""
   name  = ""
   next
}

!(/^["][(].*/){
   if(entry)
   {
      entry = entry $0
   }
}


END{
   #print "Ende"
}
